<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod		AWSP - Add WebSite Permission
 *
 */ 

// If we have found SSI.php and we are outside of SMF, then we are running standalone.
if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');

// If we are outside SMF and can't find SSI.php, then throw an error
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot install - please verify you put this file in the same place as SMF\'s SSI.php.');

if (SMF == 'SSI')
	db_extend('packages');

// Let's only add the new permissions if they don't exist.
$request = $smcFunc['db_query']('', '
	SELECT permission
	FROM {db_prefix}permissions
	WHERE permission = {string:permission}
	LIMIT 1',
	array(
		'permission' => 'add_website',
	)
);
if ($smcFunc['db_num_rows']($request) == 0)
	$doit = true;
$smcFunc['db_free_result']($request);

if (isset($doit))
{
	$rowdata = array();
	// If post count groups is not enabled. Add these permissions for the Regular Member group
	if (!$modSettings['permission_enable_postgroups'])
	{
		$rowdata[] = array('add_website', 0, 1);
	}
	else
	{
		// Or to the other member groups if enabled
		$request = $smcFunc['db_query']('', '
			SELECT id_group
			FROM {db_prefix}membergroups
			WHERE id_group != 1',
			array(
			)
		);
		while($row = $smcFunc['db_fetch_assoc']($request))
		{
			$rowdata[] = array('add_website', (int) $row['id_group'], 1);
		}
		$smcFunc['db_free_result']($request);
	}
	
	$smcFunc['db_insert']('ignore','
		{db_prefix}permissions',
		array(
			'permission' => 'string', 'id_group' => 'int', 'add_deny' => 'int',
		),
		$rowdata,
		array('permission', 'id_group')
	);
}
	
// Define the hooks
$hook_functions = array(
	'integrate_pre_include' => '$sourcedir/AWSP.subs.php',
	'integrate_pre_load' => 'AWSP_Texts',
	'integrate_load_permissions' => 'AWSP_Permissions',
);

// Adding or removing them?
if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

// Do the deed
foreach ($hook_functions as $hook => $function)
	$call($hook, $function);

if (SMF == 'SSI')
   echo 'Congratulations! You have successfully installed this mod!';
   
?>